# Uses of Interface
javax.validation.ConstraintViolation

Packages that use ConstraintViolation
Package
Description
javax.validation
javax.validation.executable

## Uses of ConstraintViolation in javax.validation

Methods in javax.validation that return types with arguments of type ConstraintViolation
Modifier and Type
Method
Description
`Set<ConstraintViolation<?>>`
ConstraintViolationException.`getConstraintViolations()`
`<T> Set<ConstraintViolation<T>>`
Validator.`validate(T object, Class<?>... groups)`
`<T> Set<ConstraintViolation<T>>`
Validator.`validateProperty(T object, String propertyName, Class<?>... groups)`
`<T> Set<ConstraintViolation<T>>`
Validator.`validateValue(Class<T> beanType, String propertyName, Object value, Class<?>... groups)`
Constructor parameters in javax.validation with type arguments of type ConstraintViolation
Modifier
Constructor
Description
``
`ConstraintViolationException(String message, Set<? extends ConstraintViolation<?>> constraintViolations)`
``
`ConstraintViolationException(Set<? extends ConstraintViolation<?>> constraintViolations)`

## Uses of ConstraintViolation in javax.validation.executable

Methods in javax.validation.executable that return types with arguments of type ConstraintViolation
Modifier and Type
Method
Description
`<T> Set<ConstraintViolation<T>>`
ExecutableValidator.`validateConstructorParameters(Constructor<? extends T> constructor, Object[] parameterValues, Class<?>... groups)`
`<T> Set<ConstraintViolation<T>>`
ExecutableValidator.`validateConstructorReturnValue(Constructor<? extends T> constructor, T createdObject, Class<?>... groups)`
`<T> Set<ConstraintViolation<T>>`
ExecutableValidator.`validateParameters(T object, Method method, Object[] parameterValues, Class<?>... groups)`
`<T> Set<ConstraintViolation<T>>`
ExecutableValidator.`validateReturnValue(T object, Method method, Object returnValue, Class<?>... groups)`